local NekoLoot = LibStub("AceAddon-3.0"):GetAddon("NekoLoot")
local L = LibStub("AceLocale-3.0"):GetLocale("NekoLoot")
local AceConfReg = LibStub("AceConfigRegistry-3.0")

local backdrop = {
	bgFile="Interface\\DialogFrame\\UI-DialogBox-Background" ,
	edgeFile="Interface\\DialogFrame\\UI-DialogBox-Border",
	tile = true,
	insets = {left = 11, right = 12, top = 12, bottom = 11},
	tileSize = 32,
	edgeSize = 32,
}

local function createUnlockDialog()
	local dialogFrame = CreateFrame("Frame", "NekoLootUnlockDialog", UIParent)
	dialogFrame:SetFrameStrata("DIALOG")
	dialogFrame:SetToplevel(true)
	dialogFrame:EnableMouse(true)
	dialogFrame:SetClampedToScreen(true)
	dialogFrame:SetWidth(360)
	dialogFrame:SetHeight(110)
	dialogFrame:SetBackdrop(backdrop)
	dialogFrame:SetPoint("TOP", 0, -50)
	dialogFrame:Hide()
	dialogFrame:SetScript("OnShow", function() PlaySound("igMainMenuOption") end)
	dialogFrame:SetScript("OnHide", function() PlaySound("gsTitleOptionExit") end)
	return dialogFrame
end

function NekoLoot:ShowUnlockDialog()
	if not self.unlock_dialog then
		local title, titleRegion, header, desc, lockButton
		dialogFrame = createUnlockDialog()
		
		titleRegion = dialogFrame:CreateTitleRegion()
		titleRegion:SetAllPoints(f)

		header = dialogFrame:CreateTexture(nil, "ARTWORK")
		header:SetTexture("Interface\\DialogFrame\\UI-DialogBox-Header")
		header:SetWidth(256); header:SetHeight(64)
		header:SetPoint("TOP", 0, 12)

		title = dialogFrame:CreateFontString("ARTWORK")
		title:SetFontObject("GameFontNormal")
		title:SetPoint("TOP", header, "TOP", 0, -14)
		title:SetText("NekoLoot")

		desc = dialogFrame:CreateFontString("ARTWORK")
		desc:SetFontObject("GameFontHighlight")
		desc:SetJustifyV("TOP")
		desc:SetJustifyH("LEFT")
		desc:SetPoint("TOPLEFT", 18, -32)
		desc:SetPoint("BOTTOMRIGHT", -18, 48)
		desc:SetText(L["UnlockDialog/AllUnlocked"])

		lockButton = CreateFrame("CheckButton", "NekoLootUnlockDialog", dialogFrame, "OptionsButtonTemplate")
		_G[lockButton:GetName() .. "Text"]:SetText(L["UnlockDialog/Lock"])

		lockButton:SetScript("OnClick", function(self)
			NekoLoot:Lock()
			AceConfReg:NotifyChange("NekoLoot")
			end)

		--position buttons
		lockButton:SetPoint("BOTTOMRIGHT", -14, 14)

		self.unlock_dialog = dialogFrame
	end
	self.unlock_dialog:Show()
end
