local NekoLoot = LibStub("AceAddon-3.0"):GetAddon("NekoLoot")
local self = NekoLoot
local _G = _G

-- ITEM_ACCOUNTBOUND = "Accountgebunden";
-- ITEM_BIND_ON_EQUIP = "Wird beim Anlegen gebunden";
-- ITEM_BIND_ON_PICKUP = "Wird beim Aufheben gebunden";
-- ITEM_BIND_ON_USE = "Wird bei Benutzung gebunden";
-- ITEM_BIND_QUEST = "Questgegenstand";
-- ITEM_BIND_TO_ACCOUNT = "Accountgebunden";

function NekoLoot:TooltipCreate()
	self.tooltip = CreateFrame("GameTooltip", "NekoLootTT", UIParent, "GameTooltipTemplate")
end

function NekoLoot:GetBindOn(itemLink)
	if not itemLink then return nil end
	
	local toolTip = self.tooltip
	local numLines, text, textLine, bind

	toolTip:SetOwner(UIParent, "ANCHOR_NONE")
	toolTip:SetHyperlink(itemLink)
	numLines = NekoLootTT:NumLines()
	
	-- Suche nur die ersten sechs Zeilen ab
	numLines = math.min( numLines, 6)
	
	-- Suche nach oben aufgelisteten Konstanten
	for index = 1, numLines do
		textLine = _G["NekoLootTTTextLeft"..index]
		text = textLine:GetText()

		if text == ITEM_ACCOUNTBOUND or text == ITEM_BIND_TO_ACCOUNT then
			toolTip:Hide()
			return ITEM_BIND_TO_ACCOUNT, .9, .8, .5
		elseif text == ITEM_BIND_ON_EQUIP then
			toolTip:Hide()
			return ITEM_BIND_ON_EQUIP, .3, 1, .3
		elseif text == ITEM_BIND_ON_PICKUP then
			toolTip:Hide()
			return ITEM_BIND_ON_PICKUP, 1, .0, .1
		elseif text == ITEM_BIND_ON_USE then
			toolTip:Hide()
			return ITEM_BIND_ON_USE, .3, .5, 1
		-- elseif text == ITEM_BIND_QUEST then
			-- toolTip:Hide()
			-- return ITEM_BIND_QUEST, 1, .0, .1
		end
	end
	toolTip:Hide()
	return "", 1, 1, 1
end